﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Mandatory Validations</title>
    
  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    <!-- Rule ID: VR.ATO.CHTWTHHLD.000003
            
        IF [chtwthhld5] = NULLORBLANK
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [chtwthhld5] = pyde.02.00:AddressDetails.LocalityName.Text
    -->
    <assert id="VR.ATO.CHTWTHHLD.000003" diagnostics="DVR.ATO.CHTWTHHLD.000003"
            test="$chtwthhld5[string-length(.) != 0]"/>

    <!-- Rule ID: VR.ATO.CHTWTHHLD.000014
            
        IF [chtwthhld2] = NULLORBLANK
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [chtwthhld2] = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text        
    -->   
    <assert id="VR.ATO.CHTWTHHLD.000014" diagnostics="DVR.ATO.CHTWTHHLD.000014"
            test="$chtwthhld2[string-length(.) != 0]"/>
   
    <!-- Rule ID: VR.ATO.CHTWTHHLD.000021
            
        IF [chtwthhld3] = NULLORBLANK
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [chtwthhld3] = pyde.02.00:AddressDetails.Line1.Text      
    -->
    <assert id="VR.ATO.CHTWTHHLD.000021" diagnostics="DVR.ATO.CHTWTHHLD.000021"
            test="$chtwthhld3[string-length(.) != 0]"/>
  </rule>
</pattern>
