﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="DataTypes" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>DataTypes rule validations for Data Types that are applicable accross all of the AS services.</title>

<!-- GENERAL DATA TYPE ABSTRACT RULES 
 xsd-datatype-date -->

<rule name="VR.ATO.GEN.001008x" context="xbrli:context[not(@i:nil='true' or @i:nil='1')]">

  <!-- xsd-datatype-ID -->
  <assert  id="VR.ATO.GEN.001012" diagnostics="DVR.ATO.GEN.001012" test="matches(@id,'^[A-Za-z_][A-Za-z0-9._-]*$')"/>

</rule>
  
<rule name="VR.ATO.GEN.001008" context="xbrli:startDate[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-date" />
</rule>

<rule name="VR.ATO.GEN.001008" context="xbrli:endDate[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-date" />
</rule>

<rule name="VR.ATO.GEN.001008" context="pyde.02.00:PersonDemographicDetails.Birth.Date[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-date" />
</rule>


<!--xsd-datatype-sbrAustralianBusinessNumberItemType-->

<rule name="VR.ATO.GEN.001017" context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrAustralianBusinessNumberItemType" />
</rule>
<!--xsd-datatype-sbrFamilyNameItemType-->

<rule name="VR.ATO.GEN.001017" context="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrFamilyNameItemType" />
</rule>
<!--xsd-datatype-sbrGivenNameItemType-->

<rule name="VR.ATO.GEN.001017" context="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrGivenNameItemType" />
</rule>
<!--xsd-datatype-sbrOtherGivenNameItemType-->

<rule name="VR.ATO.GEN.001017" context="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrOtherGivenNameItemType" />
</rule>
<!--xsd-datatype-sbrTelephoneAreaCodeItemType-->

<rule name="VR.ATO.GEN.001017" context="pyde.02.00:ElectronicContact.Telephone.Area.Code[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrTelephoneAreaCodeItemType" />
</rule>
<!--xsd-datatype-sbrTelephoneNumberItemType-->

<rule name="VR.ATO.GEN.001017" context="pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrTelephoneNumberItemType" />
</rule>
<!--xsd-datatype-sbrPostcodeItemType-->

<rule name="VR.ATO.GEN.001017" context="pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrPostcodeItemType" />
</rule>
<!--xsd-datatype-sbrOrganisationNameItemType-->

<rule name="VR.ATO.GEN.001017" context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrOrganisationNameItemType" />
</rule>
<!--xsd-datatype-sbrTaxFileNumberItemType-->

<rule name="VR.ATO.GEN.001017" context="pyde.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrTaxFileNumberItemType" />
</rule>
<!-- xsd-datatype-monetary -->

<rule context="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>
<!-- TODO: I can't get this to fire, not sure why. Will come back to it later. ~ Boydlee -->

<rule context="bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule context="bafpr2.02.02:Expense.Interest.Paid.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule context="bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>
<!-- xsd-datatype-booelan -->

<rule context="pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-boolean" />
</rule>
</pattern>