﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Mandatory Validations</title>


  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
   
      <!--
          IF [SMSFAR365] = NULLORBLANK
            RETURN VALIDATION MESSAGE
          END IF

          [SMSFAR365] = SMSFAR:RP.Superannuation:pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number 
          IN TUPLE(fininstacc1.02.00:FinancialInstitutionAccount)
        -->
      <assert  id="VR.ATO.SMSFAR.436676" diagnostics="DVR.ATO.SMSFAR.436676"
               test="fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0]"/>
    
    
    <!--
        IF (RP:rvctc1.xx.xx:IncomeTax.TotalTaxOnTaxableIncome.Amount) = NULL
        RETURN VALIDATION MESSAGE
        ENDIF
      -->

    <assert  id="VR.ATO.GEN.438036" diagnostics="DVR.ATO.GEN.438036" test="not(
                        not($SMSFAR315)
                    )"></assert>
    <!--
        IF [SMSFAR316] = NULL
         RETURN VALIDATION MESSAGE
        ENDIF

        [SMSFAR316] = SMSFAR:RP:rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount
      -->

    <assert  id="VR.ATO.SMSFAR.436683" diagnostics="DVR.ATO.GEN.438037" test="not(
                        not($SMSFAR316)
                    )"></assert>
    <!--
          IF [SMSFAR51] = NULL
            RETURN VALIDATION MESSAGE
          ENDIF

          [SMSFAR51] = SMSFAR:RP:emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
      -->

    <assert  id="VR.ATO.SMSFAR.436686" diagnostics="DVR.ATO.SMSFAR.436686" test="not(
                        not($SMSFAR51)
                    )"></assert>
    <!--
          IF [SMSFAR360] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF

          [SMSFAR360] = SMSFAR:RP:pyin.02.16:Lodgment.FirstReturn.Indicator
        -->

    <assert  id="VR.ATO.SMSFAR.436661" diagnostics="DVR.ATO.SMSFAR.436661" test="not(
                        not($SMSFAR360)
                    )"></assert>
    <!--
          IF COUNT (TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) IN TUPLE(smsfar.0005.lodge.req.xx.xx:TrusteeOrDirector)) <> 1
             RETURN VALIDATION MESSAGE
          ENDIF
        -->

    <assert  id="VR.ATO.SMSFAR.436199" diagnostics="DVR.ATO.SMSFAR.436199" test="not(
                      count(smsfar.0006.lodge.req.02.00:TrusteeOrDirector[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]) != 1
                    )"></assert>
    <!--
            IF COUNT [SMSFAR6] <> 1
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR6] = SMSFAR:RP:AddressDetails.Line1.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
            IN TUPLE(addressdetails2.xx.xx:AddressDetails)
        -->

    <assert  id="VR.ATO.SMSFAR.436012" diagnostics="DVR.ATO.SMSFAR.436012" test="not(
                        count(
                            address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')
                            and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'C']
                            and ./pyde.02.01:AddressDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'POS']
                            and ./pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]]
                        ) != 1
                    )"></assert>
    <!--
            IF COUNT([SMSFAR11]) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR11] = SMSFAR:Auditor:PersonNameDetails.FamilyName.Text 
                WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") 
                    AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "Contact") 
                    AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")) 
                    IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails )
        -->

    <assert  id="VR.ATO.SMSFAR.436014" diagnostics="DVR.ATO.SMSFAR.436014" test="not(
                        count(
                        prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')
                        and ./pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$Auditor.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$Auditor.ContextId and not(@i:nil='true' or @i:nil='1')  and upper-case(.[1]) = 'LGL']
                        and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $Auditor.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'CONTACT']
                        and ./pyde.02.00:PersonNameDetails.Currency.Code[@contextRef = $Auditor.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'C']
                        ]) != 1
                    )"></assert>
    <!--
            IF [SMSFAR28] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR28] = SMSFAR:RP:OrganisationDetails.OperationCease.Indicator
        -->

    <assert  id="VR.ATO.SMSFAR.436016" diagnostics="DVR.ATO.SMSFAR.436016" test="pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
    <!--
            IF [SMSFAR23] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR23] = SMSFAR:RP:AuditorReport.Signature.Date
        -->

    <assert  id="VR.ATO.SMSFAR.436020" diagnostics="DVR.ATO.SMSFAR.436020" test="emfsm.02.00:AuditorReport.Signature.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
    <!--
            IF [SMSFAR24] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR24] = SMSFAR:RP:emfsm.02.07:AuditorReport.OpinionQualified.Indicator
        -->

    <assert  id="VR.ATO.SMSFAR.436022" diagnostics="DVR.ATO.SMSFAR.436022" test="emfsm.02.07:AuditorReport.OpinionQualified.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
    <!--
            IF [SMSFAR25] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR25] = SMSFAR:RP:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator
        -->

    <assert  id="VR.ATO.SMSFAR.436023" diagnostics="DVR.ATO.SMSFAR.436023" test="emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
    <!--
            IF [SMSFAR26] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR26] = SMSFAR:RP:SuperannuationFundDetails.FundBenefitStructure.Code
        -->

    <assert  id="VR.ATO.SMSFAR.436025" diagnostics="DVR.ATO.SMSFAR.436025" test="emsup.02.05:SuperannuationFundDetails.FundBenefitStructure.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
    <!--
            IF [SMSFAR27] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR27] = SMSFAR:RP:SuperannuationFundDetails.FundAcceptGovernmentCoContributions.Indicator
        -->

    <assert  id="VR.ATO.SMSFAR.436026" diagnostics="DVR.ATO.SMSFAR.436026" test="emsup.02.09:SuperannuationFundDetails.FundAcceptGovernmentContributions.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
    <!--
            IF [SMSFAR73] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR73] = SMSFAR:RP:Income.Taxable.Amount
        -->
    <assert  id="VR.ATO.SMSFAR.436106" diagnostics="DVR.ATO.SMSFAR.436106" test="bafpr1.02.23:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
    <!--
            IF [SMSFAR74] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR74] = SMSFAR:RP:IncomeTax.TaxableGross.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436110" diagnostics="DVR.ATO.SMSFAR.436110" test="rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
    <!--
            IF [SMSFAR84] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR84] = SMSFAR:RP:IncomeTax.PayableOrRefundableTotal.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436126" diagnostics="DVR.ATO.SMSFAR.436126" test="rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
    <!--
            IF COUNT [SMSFAR18] <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR18] = SMSFAR:Auditor:ElectronicContact.Telephone.Minimal.Number 
            WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = "03") 
            IN TUPLE(electroniccontacttelephone1.xx.xx:ElectronicContactTelephone )            
        -->

    <assert  id="VR.ATO.SMSFAR.436281" diagnostics="DVR.ATO.SMSFAR.436281" test="not(
                            count(phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$Auditor.ContextId and not(@i:nil='true' or @i:nil='1')]) != 1
                            and
                            phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Usage.Code[@contextRef=$Auditor.ContextId and not(@i:nil='true' or @i:nil='1')] = '03'
                        )"></assert>
    <!--
            IF COUNT [SMSFAR19] <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR19] = SMSFAR:Auditor:AddressDetails.Line1.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
            IN TUPLE(addressdetails2.xx.xx:AddressDetails )            
            
        -->

    <assert  id="VR.ATO.SMSFAR.436282" diagnostics="DVR.ATO.SMSFAR.436282" test="not(
                                        count(
                                                  address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')
                                                  and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$Auditor.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'C']
                                                  and ./pyde.02.01:AddressDetails.Usage.Code[@contextRef=$Auditor.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'POS']
                                                  and ./pyde.02.00:AddressDetails.Line1.Text[@contextRef=$Auditor.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]]
                                        ) != 1
                                   )"></assert>
    <!--         
            IF [SMSFAR83] <> "259"
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR83] = SMSFAR:RP:rvctc1.02.00:IncomeTax.SupervisoryLevy.Amount
        -->

    <assert  id="VR.ATO.SMSFAR.436124" diagnostics="DVR.ATO.SMSFAR.436124" test="not(round(100*sum($SMSFAR83))!= 259 * 100)"></assert>
    <!-- 
            IF COUNT [SMSFAR4] <> 1
                RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR4] = SMSFAR:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text 
            WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN" 
            AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") 
            IN TUPLE(orgname2.02.00:OrganisationNameDetails)              
        -->

    <assert  id="VR.ATO.SMSFAR.436274" diagnostics="DVR.ATO.SMSFAR.436274" test="not(
                            count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')
                            and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'MN']
                            and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'C']                           
                            and ./pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') ]
                            ]) != 1
                        )"></assert>
    <!-- 
          IF [SMSFAR321] = NULL
              RETURN VALIDATION MESSAGE
          ENDIF

          [SMSFAR321] = SMSFAR:RP:emsup.02.09:SuperannuationFundDetails.IncomeStreamPaid.Indicator
         
        -->

    <assert  id="VR.ATO.SMSFAR.436559" diagnostics="DVR.ATO.SMSFAR.436559" test="not(not($SMSFAR321))
                
              "></assert>
    <!--
        
         IF [SMSFAR309] = NULL
           RETURN VALIDATION MESSAGE
        ENDIF

        [SMSFAR309] = SMSFAR:RP:rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
         -->

    <assert  id="VR.ATO.SMSFAR.436630" diagnostics="DVR.ATO.SMSFAR.436630" test="not(
                        not($SMSFAR309)
                       )
                
              "></assert>
  



  </rule>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]">

    <!--
        WHERE IN TUPLE (smsfar.0006.lodge.req.xx.xx:MemberInformation)
        IF [SMSFAR354] = NULL
           RETURN VALIDATION MESSAGE
        ENDIF

        [SMSFAR354] = SMSFAR:RP:emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Code IN TUPLE(smsfar.0006.lodge.req.02.00:MemberInformation)
        -->

    <assert  id="VR.ATO.SMSFAR.436635" diagnostics="DVR.ATO.SMSFAR.436635" test="
         emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                "></assert>
  </rule>

  
</pattern>