﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormRS" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>RS Cross Form Variables and RS CrossForm Validations</title>

  <!--<let name="RS.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/rs/rs_0001/rs.0001.lodge.request.02.00.report.xsd']]" />
  <let name="RP.RS.Context" value="$RS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />
  <let name="RP.RS.ContextId" value="$RP.RS.Context/@id" />-->


  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/rs/rs_0001/rs.0001.lodge.request.02.00.report.xsd']]">

    <!--*** NOTE: Only add CrossForm rules from the RS AP360 here that are applicable to PTR. ***-->
    <!--
            IF (RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009.TRT" test="not(
                            xbrli:context[@id=$RP.RS.ContextId]/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $RP.TRT.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                            )"></assert>

    <!--
  IF [RS14] <> PARENT RETURN(pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text (IN TUPLE(xbrli\organisationame2.xx.xx:OrganisationNameDetails) WHERE (pyde.xx.xx:OrganisationNameDetails.OrganisationalType.Code = "MN") AND (pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")))
  RETURN VALIDATION MESSAGE
  ENDIF

  [RS14] = RS:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
  -->

    <assert  id="VR.ATO.RS.000150" diagnostics="DVR.ATO.RS.000150.TRT" subject="pyid.02.00:OrganisationNameDetails.OrganisationalName.Text" test="not(                    
                            count(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.RS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) != 0
                            and 
                                pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.RS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                !=
                                $TRT.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 
                                and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')] = 'MN'
                                and ../pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')] = 'C']
                        )"></assert>

  </rule>
</pattern>
