﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ElementVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>XBRL Element Variables</title>
  <let name="trtamis4" value="xbrli:xbrl/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis5" value="xbrli:xbrl/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis259" value="xbrli:xbrl/rvctc1.02.22:IncomeTax.AssessableCharacter.Code[@contextRef=$RP.AssessableIncomeOtherThanCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis260" value="xbrli:xbrl/bafpr1.02.23:Income.Taxable.Amount[@contextRef=$RP.AssessableIncomeOtherThanCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis261" value="xbrli:xbrl/bafpr1.02.12:Expense.DeductionsTotal.Amount[@contextRef=$RP.AssessableIncomeOtherThanCapitalGains.Direct.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis262" value="xbrli:xbrl/bafpr1.02.29:Expense.DeductionsOther.Amount[@contextRef=$RP.AssessableIncomeOtherThanCapitalGains.Indirect.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis263" value="xbrli:xbrl/bafpr1.02.29:Income.RoundingAdjustmentDeficit.Amount[@contextRef=$RP.AssessableIncomeOtherThanCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis264" value="xbrli:xbrl/bafpr1.02.27:Expense.CrossCharacter.Amount[@contextRef=$RP.AssessableIncomeOtherThanCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis265" value="xbrli:xbrl/bafpr1.02.29:Expense.CarryForwardTrustComponentDeficit.Amount[@contextRef=$RP.AssessableIncomeOtherThanCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis266" value="xbrli:xbrl/bafpr1.02.23:Income.Net.Amount[@contextRef=$RP.AssessableIncomeOtherThanCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis272" value="xbrli:xbrl/bafpr1.02.27:Expense.Overstated.Amount[@contextRef=$RP.AssessableIncomeCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis275" value="xbrli:xbrl/bafpr1.02.29:Expense.CarryForwardTrustComponentDeficit.Amount[@contextRef=$RP.AssessableIncomeCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis281" value="xbrli:xbrl/rvctc1.02.22:IncomeTax.ExemptCharacter.Code[@contextRef=$RP.NetExemptionIncome.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis282" value="xbrli:xbrl/bafpr1.02.29:Income.TrustComponent.Amount[@contextRef=$RP.NetExemptionIncome.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis283" value="xbrli:xbrl/bafpr1.02.27:Income.UnderstatedEntitlement.Amount[@contextRef=$RP.NetExemptionIncome.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis284" value="xbrli:xbrl/bafpr1.02.27:Expense.Overstated.Amount[@contextRef=$RP.NetExemptionIncome.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis285" value="xbrli:xbrl/bafpr1.02.23:Income.Net.Amount[@contextRef=$RP.NetExemptionIncome.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis288" value="xbrli:xbrl/bafpr1.02.29:Income.TrustComponent.Amount[@contextRef=$RP.NonAssessableNonExemptAmounts.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis289" value="xbrli:xbrl/bafpr1.02.27:Income.UnderstatedEntitlement.Amount[@contextRef=$RP.NonAssessableNonExemptAmounts.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis290" value="xbrli:xbrl/bafpr1.02.27:Expense.Overstated.Amount[@contextRef=$RP.NonAssessableNonExemptAmounts.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis291" value="xbrli:xbrl/bafpr1.02.29:Income.RoundingAdjustmentDeficit.Amount[@contextRef=$RP.NonAssessableNonExemptAmounts.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis292" value="xbrli:xbrl/bafpr1.02.23:Income.Net.Amount[@contextRef=$RP.NonAssessableNonExemptAmounts.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis294" value="xbrli:xbrl/rvctc1.02.22:IncomeTax.OffsetCharacter.Code[@contextRef=$RP.Offset.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis295" value="xbrli:xbrl/bafpr1.02.29:Income.TrustComponent.Amount[@contextRef=$RP.Offset.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis296" value="xbrli:xbrl/bafpr1.02.27:Income.UnderstatedEntitlement.Amount[@contextRef=$RP.Offset.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis297" value="xbrli:xbrl/bafpr1.02.27:Expense.Overstated.Amount[@contextRef=$RP.Offset.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis299" value="xbrli:xbrl/bafpr1.02.23:Income.Net.Amount[@contextRef=$RP.Offset.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis300" value="xbrli:xbrl/bafpr1.02.27:Income.TrustDeficitComponent.Amount[@contextRef=$RP.Offset.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis308" value="xbrli:xbrl/bafpr1.02.27:Income.TrustDeficitComponent.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis309" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis310" value="xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis311" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis312" value="xbrli:xbrl/bafpr1.02.29:Income.RoundingAdjustmentDeficit.Amount[@contextRef=$RP.NetExemptionIncome.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis313" value="xbrli:xbrl/rvctc1.02.22:IncomeTax.AttributionManagedInvestmentTrustClass.Description[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis314" value="xbrli:xbrl/bafpr1.02.29:Income.TrustComponent.Amount[@contextRef=$RP.AssessableIncomeOtherThanCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis315" value="xbrli:xbrl/bafpr1.02.27:Income.UnderstatedEntitlement.Amount[@contextRef=$RP.AssessableIncomeOtherThanCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis316" value="xbrli:xbrl/bafpr1.02.27:Expense.Overstated.Amount[@contextRef=$RP.AssessableIncomeOtherThanCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis317" value="xbrli:xbrl/pyin.02.28:Lodgment.FinalReturn.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis318" value="xbrli:xbrl/rvctc3.02.14:Tax.Losses.Uplift.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis319" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis320" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis321" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis322" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis323" value="xbrli:xbrl/rvctc1.02.24:IncomeTax.AttributionManagedInvestmentTrustClassMembers.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis324" value="xbrli:xbrl/bafpr1.02.30:Income.CapitalGainsNetCredit.Amount[@contextRef=$RP.AssessableIncomeCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis325" value="xbrli:xbrl/bafpr1.02.12:Expense.DeductionsTotal.Amount[@contextRef=$RP.AssessableIncomeCapitalGains.Direct.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis326" value="xbrli:xbrl/bafpr1.02.29:Expense.DeductionsOther.Amount[@contextRef=$RP.AssessableIncomeCapitalGains.Indirect.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis327" value="xbrli:xbrl/bafpr1.02.29:Income.TrustComponent.Amount[@contextRef=$RP.AssessableIncomeCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis328" value="xbrli:xbrl/bafpr1.02.27:Income.UnderstatedEntitlement.Amount[@contextRef=$RP.AssessableIncomeCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis329" value="xbrli:xbrl/bafpr1.02.27:Expense.Overstated.Amount[@contextRef=$RP.AssessableIncomeCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis330" value="xbrli:xbrl/bafpr1.02.23:Income.Net.Amount[@contextRef=$RP.AssessableIncomeCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis331" value="xbrli:xbrl/bafpr1.02.29:Expense.CarryForwardTrustComponentDeficit.Amount[@contextRef=$RP.AssessableIncomeCapitalGains.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="trtamis332" value="xbrli:xbrl/bafpr1.02.23:Income.Net.Amount[@contextRef=$RP.NonAssessableNonExemptAmounts.ContextId and not(@i:nil='true' or @i:nil='1')]" />
</pattern>
