<?xml version="1.0" encoding="utf-8"?>
<pattern id="ElementVariables" xmlns="http://purl.oclc.org/dsdl/schematron">

  <title>XBRL element variables that are applicable accross the CGTS service.</title>

  <let name="CGTS43" value="xbrli:xbrl/rvctc3.02.12:Capital.Losses.NetTotal.Amount[@contextRef=$RP.Applied.Y0-.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS45" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.ScriptForScriptRolloverDeferral.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS46" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.InterCompanyAssetRolloverDeferral.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS47" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.DemergingEntityExemption.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS95" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.ListedCompanyShares.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS96" value="xbrli:xbrl/rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.ListedCompanyShares.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS97" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.OtherShares.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS98" value="xbrli:xbrl/rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.OtherShares.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS99" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.ListedUnitTrusts.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS100" value="xbrli:xbrl/rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.ListedUnitTrusts.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS101" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.OtherUnits.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS102" value="xbrli:xbrl/rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.OtherUnits.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS103" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.RealPropertyAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS110" value="xbrli:xbrl/rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.RealPropertyAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS111" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.OverseasRealProperty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS112" value="xbrli:xbrl/rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.OverseasRealProperty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS113" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.CapitalGainsTrustDistributions.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS114" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.Collectables.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS115" value="xbrli:xbrl/rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.Collectables.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS116" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.CGTOther.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS117" value="xbrli:xbrl/rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.CGTOther.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS118" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS119" value="xbrli:xbrl/rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS120" value="xbrli:xbrl/rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.Applied.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS122" value="xbrli:xbrl/rvctc3.02.11:Capital.Losses.TransferredTotal.Amount[@contextRef=$RP.Applied.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS123" value="xbrli:xbrl/rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.Applied.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS124" value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Collectables.Unapplied.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS125" value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.CGTOther.Unapplied.ContextId and not(@i:nil='true' or @i:nil='1')]" />

  <let name="CGTS126" value="xbrli:xbrl/gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount[@contextRef=$RP.Applied.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS127" value="xbrli:xbrl/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS128" value="xbrli:xbrl/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS129" value="xbrli:xbrl/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS130" value="xbrli:xbrl/gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS131" value="xbrli:xbrl/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />


  <let name="CGTS133" value="xbrli:xbrl/bafot.02.12:Miscellaneous.EarnoutArrangementEligibility.Code[@contextRef=$RP.EarnoutArrangementGroupNumber.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS134" value="xbrli:xbrl/bafot.02.12:Miscellaneous.EarnoutArrangementDuration.Count[@contextRef=$RP.EarnoutArrangementGroupNumber.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS135" value="xbrli:xbrl/bafot.02.12:Miscellaneous.EarnoutArrangementApplicableYear.Number[@contextRef=$RP.EarnoutArrangementGroupNumber.ContextId and not(@i:nil='true' or @i:nil='1')]" />

  <let name="CGTS136" value="xbrli:xbrl/rvctc3.02.06:CapitalGainsTax.EarnoutArrangementEstimatedCapitalProceedsTotal.Amount[@contextRef=$RP.EarnoutArrangementGroupNumber.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS137" value="xbrli:xbrl/rvctc3.02.06:CapitalGainsTax.CapitalGainsorLossesOnEarnoutArrangementNet.Amount[@contextRef=$RP.EarnoutArrangementGroupNumber.ContextId and not(@i:nil='true' or @i:nil='1')]" />


  <let name="CGTS138" value="xbrli:xbrl/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS139" value="xbrli:xbrl/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionAssetOrEvent.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS140" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.ForeignResidentExemption.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />

  <let name="CGTS150" value="xbrli:xbrl/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.EarnoutArrangementGroupNumber.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS151" value="xbrli:xbrl/bafot.02.26:Miscellaneous.RequestedAmendment.Amount[@contextRef=$RP.EarnoutArrangementGroupNumber.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS152" value="xbrli:xbrl/rvctc3.02.24:CapitalGainsTax.CapitalGainsOrLossesOnNonQualifyingEarnoutArrangementNet.Amount[@contextRef=$RP.EarnoutArrangementGroupNumber.ContextId and not(@i:nil='true' or @i:nil='1')]" />

  <let name="CGTS153" value="xbrli:xbrl/rvctc1.02.22:IncomeTax.AttributionManagedInvestmentTrustClass.Description[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS154" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.TransfersToOtherClasses.ContextId and not(@i:nil='true' or @i:nil='1')]" />
  <let name="CGTS155" value="xbrli:xbrl/rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.TransfersToOtherClasses.ContextId and not(@i:nil='true' or @i:nil='1')]" />

  <!-- CTR -->
  <!--<let name="CTR49" value="xbrli:xbrl/pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />-->

</pattern>
