﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Mandatories Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
            Id for the current context to be used
        -->
        <let name="currentContextId" value="@id"/>

        <!--
            WHERE IN CONTEXT
            (RP.{EarnoutArrangementGroupNumber})
            IF ([CGTS133] = NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS133] = CGTS:RP.{EarnoutArrangementGroupNumber}:bafot.02.12:Miscellaneous.EarnoutArrangementEligibility.Code
        -->
        <assert id="VR.ATO.CGTS.402185" diagnostics="DVR.ATO.CGTS.402185"
                test="not(
                        . = $RP.EarnoutArrangementGroupNumber.Context
                        and 0 = count(../bafot.02.12:Miscellaneous.EarnoutArrangementEligibility.Code[@contextRef = $currentContextId and not(@i:nil='true' and @i:nil='1') and string-length(normalize-space(.)) != 0])
                      )"/>

    </rule>

</pattern>