﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Declaration" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Declaration Common Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF COUNT(INT) = 0 AND 
               COUNT(pyin.xx.xx:Declaration.StatementType.Code ="TrueAndCorrect" 
                 IN TUPLE(fter.0001.lodge.req.xx.xx:DeclarationOfTrustee\declaration2.xx.xx:Declaration)) <> 1
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.FTER.408164" diagnostics="DVR.ATO.FTER.408164" test="not(
                        count($INT.Context) = 0
                        and
                        1 != count(fter.0001.lodge.req.02.00:DeclarationOfTrustee[not(@i:nil='true' or @i:nil='1')]/declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]
                               /pyin.02.03:Declaration.StatementType.Code[matches(.,'^TrueAndCorrect$') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"></assert>
</rule>

<rule context="declaration2.02.01:Declaration[not(@i:nil = 'true' or @i:nil='1')]">
<!--
            IF pyde.xx.xx:Declaration.Signature.Date <> NULL 
            AND pyde.xx.xx:Declaration.Signature.Date > DATE(TODAY)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.430255" diagnostics="DVR.ATO.GEN.430255" test="
                    not(pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')])
                    or not(function:IsDate1GreaterThanDate2(pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')], current-dateTime()))
                "></assert>
</rule>

<rule context="prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF LENGTH(pyde.xx.xx:PersonUnstructuredName.FullName.Text) > 200
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.430252" diagnostics="DVR.ATO.GEN.430252" test="string-length(normalize-space(.)) &lt; 200"></assert>

</rule>
</pattern>