﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="DataTypes" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>DataTypes Validations</title>

<!-- ID -->

<rule context="@id[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-ID" />
</rule>
<!-- Boolean -->

<rule context="pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-boolean" />
</rule>

<rule context="pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-boolean" />
</rule>

<rule context="pyde.02.00:Residency.NonResidentFullPeriod.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-boolean" />
</rule>

<rule context="pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-boolean" />
</rule>

<rule context="pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-boolean" />
</rule>

<rule context="pyin.02.00:Declaration.StatementAccepted.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-boolean" />
</rule>

<rule context="pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-boolean" />
</rule>
<!-- Date -->

<rule context="xbrli:startDate[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-date" />
</rule>

<rule context="xbrli:endDate[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-date" />
</rule>

<rule context="pyin.02.00:Period.Start.Date[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-date" />
</rule>

<rule context="pyin.02.00:Period.End.Date[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-date" />
</rule>

<rule context="rvctc3.02.00:Elections.DateSpecified.Date[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-date" />
</rule>

<rule context="rvctc3.02.00:Elections.Commencement.Date[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-date" />
</rule>

<rule context="pyde.02.00:PersonDemographicDetails.Birth.Date[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-date" />
</rule>

<rule context="pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-date" />
</rule>
<!-- Positive Integer -->

<rule context="pyin.02.00:Report.CompletionHours.Number[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-positiveIntegerItemType" />
</rule>
<!-- Text -->

<rule context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrAustralianBusinessNumberItemType" />
</rule>

<rule context="pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrAustralianCompanyNumberItemType" />
</rule>

<rule context="pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrAustralianRegisteredBodyNumberItemType" />
</rule>

<rule context="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrFamilyNameItemType" />
</rule>

<rule context="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrGivenNameItemType" />
</rule>

<rule context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrOrganisationNameItemType" />
</rule>

<rule context="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrOtherGivenNameItemType" />
</rule>

<rule context="pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrPersonFullNameItemType" />
</rule>

<rule context="pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrPostcodeItemType" />
</rule>

<rule context="pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrTaxAgentNumberItemType" />
</rule>

<rule context="pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrTaxFileNumberItemType" />
</rule>
</pattern>