﻿<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" schemaVersion="ISO19757-3" queryBinding="xslt2" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Validation for SBR SMSFAR Lodge Web Service</title>

    <!-- XML/SOAP Namespaces -->
    <ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema" />
    <ns prefix="i" uri="http://www.w3.org/2001/XMLSchema-instance" />
    <ns prefix="exslt" uri="http://gotdotnet.com/exslt/strings" />
    <ns prefix="xbrli" uri="http://www.xbrl.org/2003/instance" />
    <!-- Extension Namespaces -->
    <ns prefix="xbrldi" uri="http://xbrl.org/2006/xbrldi" />
    <ns prefix="link" uri="http://www.xbrl.org/2003/linkbase" />
    <ns prefix="xlink" uri="http://www.w3.org/1999/xlink" />
    <ns prefix="tech" uri="http://sbr.gov.au/fdtn/sbr.01.02.tech" />
    <ns prefix="smsfar.0006.lodge.req.02.00" uri="http://sbr.gov.au/rprt/ato/smsfar/smsfar.0006.lodge.request.02.00.report" />
    <ns prefix="xbrli" uri="http://www.xbrl.org/2003/instance" />
    <ns prefix="xbrldi" uri="http://xbrl.org/2006/xbrldi" />
    <ns prefix="link" uri="http://www.xbrl.org/2003/linkbase" />
    <!-- XBRL/XLink Namespaces -->
    <ns prefix="xlink" uri="http://www.w3.org/1999/xlink" />
    <ns prefix="xsi" uri="http://www.w3.org/2001/XMLSchema-instance" />
    <ns prefix="iso4217" uri="http://www.xbrl.org/2003/iso4217" />
    <ns prefix="rvctc1.02.07" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.07.data" />
    <!-- Core SBR Namespaces -->
    <ns prefix="RprtPyType.02.07" uri="http://sbr.gov.au/dims/RprtPyType.02.07.dims" />
    <ns prefix="IntlJurisdiction.02.00" uri="http://sbr.gov.au/dims/IntlJurisdiction.02.00.dims" />
    <ns prefix="OpenCloseBalance.02.00" uri="http://sbr.gov.au/dims/OpenCloseBalance.02.00.dims" />
    <!-- SMSFAR Namespaces -->
    <ns prefix="FinclArrngmtType.02.00" uri="http://sbr.gov.au/dims/FinclArrngmtType.02.00.dims" />
    <ns prefix="RelPrdDrtn.02.04" uri="http://sbr.gov.au/dims/RelPrdDrtn.02.04.dims" />
    <ns prefix="address2.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.01.module" />
    <ns prefix="address2.02.02" uri="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.02.module" />
    <ns prefix="email1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.electroniccontactelectronicmail1.02.00.module" />
    <ns prefix="fininstacc1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.financialinstitutionaccount1.02.00.module" />
    <ns prefix="phone1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.electroniccontacttelephone1.02.00.module" />
    <ns prefix="prsnstrcnm3.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" />
    <ns prefix="declaration2.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" />
    <ns prefix="orgname1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" />
    <ns prefix="orgname2.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module" />
    <ns prefix="prsnunstrcnm1.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" />
    <ns prefix="bafot.02.05" uri="http://sbr.gov.au/icls/baf/bafot/bafot.02.05.data" />
    <ns prefix="bafpo1.02.00" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.00.data" />
    <ns prefix="bafpo1.02.04" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.04.data" />
    <ns prefix="bafpo1.02.09" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.09.data" />
    <ns prefix="bafpo5.02.03" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo5.02.03.data" />
    <ns prefix="bafpo7.02.00" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.00.data" />
    <ns prefix="bafpo7.02.04" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data" />
    <ns prefix="bafpo7.02.09" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.09.data" />
    <ns prefix="bafpr1.02.00" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data" />
    <ns prefix="bafpr1.02.02" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.02.data" />
    <ns prefix="bafpr1.02.04" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" />
    <ns prefix="bafpr1.02.05" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.05.data" />
    <ns prefix="bafpr1.02.16" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.16.data" />
    <ns prefix="bafpr1.02.26" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.26.data" />
    <ns prefix="bafpr1.02.27" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.27.data" />
    <ns prefix="bafpr2.02.00" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.00.data" />
    <ns prefix="bafpr2.02.02" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.02.data" />
    <ns prefix="bafpr2.02.04" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.04.data" />
    <ns prefix="bafpr2.02.10" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.10.data" />
    <ns prefix="bafpr3.02.02" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.02.data" />
    <ns prefix="emfsm.02.00" uri="http://sbr.gov.au/icls/em/emfsm/emfsm.02.00.data" />
    <ns prefix="emfsm.02.03" uri="http://sbr.gov.au/icls/em/emfsm/emfsm.02.03.data" />
    <ns prefix="emfsm.02.07" uri="http://sbr.gov.au/icls/em/emfsm/emfsm.02.07.data" />
    <ns prefix="emsup.02.00" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.00.data" />
    <ns prefix="emsup.02.01" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.01.data" />
    <ns prefix="emsup.02.02" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.02.data" />
    <ns prefix="emsup.02.05" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.05.data" />
    <ns prefix="emsup.02.06" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.06.data" />
    <ns prefix="gfagc.02.00" uri="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.00.data" />
    <ns prefix="gfagc.02.01" uri="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.01.data" />
    <ns prefix="gfagc.02.04" uri="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.04.data" />
    <ns prefix="lrla.02.00" uri="http://sbr.gov.au/icls/lr/lrla/lrla.02.00.data" />
    <ns prefix="pyde.02.00" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" />
    <ns prefix="pyde.02.01" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" />
    <ns prefix="pyde.02.03" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" />
    <ns prefix="pyde.02.05" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" />
    <ns prefix="pyde.02.08" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" />
    <ns prefix="pyde.02.19" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.19.data" />
    <ns prefix="pyid.02.00" uri="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" />
    <ns prefix="pyin.02.00" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" />
    <ns prefix="pyin.02.03" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data" />
    <ns prefix="pyin.02.05" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.05.data" />
    <ns prefix="pyin.02.07" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.07.data" />
    <ns prefix="pyin.02.08" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.08.data" />
    <ns prefix="pyin.02.16" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.16.data" />
    <ns prefix="rvctc1.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.00.data" />
    <ns prefix="rvctc1.02.01" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.01.data" />
    <ns prefix="rvctc1.02.03" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.03.data" />
    <ns prefix="rvctc1.02.04" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.04.data" />
    <ns prefix="rvctc1.02.14" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.14.data" />
    <ns prefix="rvctc1.02.18" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.18.data" />
    <ns prefix="rvctc2.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.00.data" />
    <ns prefix="rvctc2.02.02" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.02.data" />
    <ns prefix="rvctc2.02.03" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.03.data" />
    <ns prefix="rvctc2.02.06" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.06.data" />
    <ns prefix="rvctc2.02.13" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.13.data" />
    <ns prefix="rvctc3.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" />
    <ns prefix="rvctc3.02.02" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data" />
    <ns prefix="rvctc3.02.03" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.03.data" />
    <ns prefix="rvctc3.02.16" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.16.data" />
    <ns prefix="rvctc4.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.00.data" />
    <ns prefix="period1.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.perioddetails1.02.01.module" />
    <ns prefix="pyin.02.05" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.05.data" />
    <ns prefix="prsnstrcnm3.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" />
    <ns prefix="pyde.02.01" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" />
    <ns prefix="bafpr2.02.09" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.09.data" />
    <ns prefix="bafpr1.02.09" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.09.data" />
    <ns prefix="bafpr1.02.13" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.13.data" />
    <ns prefix="bafpr1.02.15" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.15.data" />
    <ns prefix="bafpo7.02.10" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.10.data" />
    <ns prefix="emsup.02.03" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.03.data" />
    <ns prefix="bafpr2.02.05" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.05.data" />
    <ns prefix="emfsm.02.09" uri="http://sbr.gov.au/icls/em/emfsm/emfsm.02.09.data" />
    <ns prefix="gfagc.02.06" uri="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.06.data" />
    <ns prefix="gfagc.02.07" uri="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.07.data" />
    <ns prefix="rvctc3.02.11" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.11.data" />
    <ns prefix="rvctc1.02.11" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.11.data" />
    <ns prefix="rvctc1.02.12" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.12.data" />
    <ns prefix="emsup.02.07" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.07.data" />
    <ns prefix="bafpo7.02.12" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.12.data" />
    <ns prefix="bafpo7.02.13" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.13.data" />
    <ns prefix="bafot.02.00" uri="http://sbr.gov.au/icls/baf/bafot/bafot.02.00.data" />
    <ns prefix="emsup.02.08" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.08.data" />
    <ns prefix="emsup.02.09" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.09.data" />
    <ns prefix="function" uri="http://ato.gov.au/SWSFunctions" />
    <ns prefix="fn" uri="http://www.w3.org/2005/xpath-functions" />
    <ns prefix="bafpo1.02.18" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.18.data" />
    <ns prefix="bafpr1.02.23" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.23.data" />
    <ns prefix="bafpr3.02.18" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.18.data" />
    <ns prefix="emsup.02.22" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.22.data" />
    <ns prefix="gfagc.02.09" uri="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.09.data" />
    <ns prefix="pyin.02.23" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.23.data" />

    <phase id="Prerequisites">
        <active pattern="ContextVariables" />
        <active pattern="ElementVariables" />
        <active pattern="Abstracts" />
        <active pattern="Context" />
        <active pattern="EnumerationPatterns" />
        <active pattern="FieldPatterns" />
    </phase>

    <phase id="Mandatories">
        <active pattern="ContextVariables" />
        <active pattern="ElementVariables" />
        <active pattern="Mandatories" />
    </phase>

    <phase id="Content">
        <active pattern="ContextVariables" />
        <active pattern="ElementVariables" />
        <active pattern="Content" />
        <active pattern="Person" />
        <active pattern="Organisation" />
        <active pattern="Address" />
        <active pattern="Declaration" />
        <active pattern="FieldPatterns" />
        <active pattern="FinancialInstitution" />
    </phase>

    <include href="../Common/Abstracts.sch" />
    <include href="../Common/ElementVariables.sch" />
    <include href="../Common/Content.sch" />
    <include href="../Common/Context.sch" />
    <include href="../Common/EnumerationPatterns.sch" />
    <include href="../Common/FieldPatterns.sch" />
    <!-- SMSFAR Phases -->
    <include href="../Common/Mandatories.sch" />
    <include href="../Common/ContextVariables.sch" />
    <include href="../Common/Person.sch" />
    <include href="../Common/Warnings.sch" />
    <phase id="Warnings">
        <active pattern="ContextVariables" />
        <active pattern="ElementVariables" />
        <active pattern="Warnings" />
    </phase>
    <include href="../Common/Organisation.sch" />
    <include href="../Common/Address.sch" />
    <include href="../Common/Declaration.sch" />
    <include href="../Common/FinancialInstitution.sch" />
    <include href="../Diagnostics.sch" />
</schema>